#region Copyright Syncfusion Inc. 2001-2016.
// Copyright Syncfusion Inc. 2001-2016. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace FastColumnChart
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }
    }

    public class ViewModel
    {
        ObservableCollection<Model> m_computers;
        public ViewModel()
        {
            Computers = new ObservableCollection<Model>() 
            {
            new Model() { Computer = "Product1", Year2013 = 147, Year2014 = 140000000 },
            new Model() {Computer = "Product2", Year2013 = 157, Year2014 = 150000000 },
            new Model() {Computer = "Product3", Year2013 = 89, Year2014 = 240000000},
            new Model() {Computer = "Product4", Year2013 = 100, Year2014 = 124000000 },
            new Model() {Computer = "Product5", Year2013 = 150, Year2014 = 172000000 }};
        }
        public ObservableCollection<Model> Computers { get { return m_computers; } set { m_computers = value; } }
    }

    public class Model
    {
        string m_computer;
        double m_year2013;
        double m_year2014;

        public string Computer { get { return m_computer; } set { m_computer = value; } }
        public double Year2013 { get { return m_year2013; } set { m_year2013 = value; } }
        public double Year2014 { get { return m_year2014; } set { m_year2014 = value; } }
    }    
}
